Bug 60329 - CTRL + C during dhcp caused init sequence to stop
CTRL + C during dhcp caused init sequence to stop
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-25 14:18 EST by Pedro Miguel Marques Morais
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-26 10:56:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Miguel Marques Morais 2002-02-25 14:18:17 EST
Description of Problem:
If you press CTRL + C while fetching a dhcp address, you abort the
whole init process.

Version-Release number of selected component (if applicable):
7.2.90

How Reproducible:
Always

Steps to Reproduce:
1. Configure your network card to use dhcp
2. Unplug the network cable
3. Wait until the interface is started; it will hang a bit waiting for the 
   dhcp reply
4. Imagine you're bored, and know that the network cable is out, so you
   decide to press CTRL + C

Actual Results:

The init sequence seems to stop; X starts immediatly in a state that 
eventually locks the computer.

Expected Results:

Nothing OR only dhcp probe cancelled
Comment 1 Bill Nottingham 2002-02-26 10:56:35 EST
What happens if you install SysVinit-2.84-1 from rawhide?
Comment 2 Pedro Miguel Marques Morais 2002-02-27 09:59:45 EST
Fixed by SysVInit from rawhide. CTRL+C gets ignored.

Note You need to log in before you can comment on or make changes to this bug.